
Redmine - Defect #14405

Alternate repo commit: link wrong when automatically added from a commit message

2013-07-08 10:21 - Olivier Mehani

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

When adding some markup, in a commit message, containing an issue number, Redmine updates this issue with a link to the

commit.

However, when this commit shows up in a repo which is not the main one for that project, the commit: link is not formatted properly,

and reads REPONAME|commit:SHA instead of commit:REPONAME|SHA

An example can be found at [0]

[0] http://oml.mytestbed.net/issues/1156#note-19

Related issues:

Is duplicate of Redmine - Defect #13544: Commit reference: autogenerated issu... Closed

History

#1 - 2013-07-08 10:22 - Olivier Mehani

We also have a ticket of our own to track this issue [0].

[0] http://oml.mytestbed.net/issues/1352

#2 - 2013-08-22 10:11 - Christoph Dwertmann

Patch: see below

#3 - 2013-08-22 10:12 - Olivier Mehani

Looking at how Redmine formats svn links (PROJECT:REPONAME|rREV), I am starting to think that the commit link-generation is good, but the

parsing is not.

The link generation creates something of the forrm PROJECT:REPONAME|commit:SHA, while the parsing expects

PROJECT:commit:REPONAME|SHA. Trying to map SVN URLs to Git urls, commit: as the equivalent of r, which I call MARKER_, and ID as an

SCM-independent commit ID, this gives the following:

SVN: PROJECT:REPONAME|MARKER_ID

Git (generated): PROJECT:REPONAME|MARKER_ID

Git (parsing): PROJECT:MARKER_REPONAME|ID

The SVN and Git (generated) schemas perfectly match, but are at odds with Git (parsing).

I'd say the problem is therefore in the parsing code, rather than the code generator.

#4 - 2013-08-22 11:06 - Christoph Dwertmann

- File 14405.patch added

#5 - 2013-08-22 13:30 - Toshi MARUYAMA

- Category set to SCM

#6 - 2013-08-23 16:16 - Markus Andree

I can confirm this bug. I have the same problem with git.

Working links are as expected:

PROJECT:commit:REPONAME|COMMITID
commit:REPONAME|COMMITID

commit:COMMITID - for default repo

But automatic generated links for non default repo is:

REPONAME|commit:COMMITID

The patch looks good for me, I'll test that

#7 - 2014-02-27 01:12 - Petr Bela

Same problem, the patch seems to work fine.

#8 - 2014-03-17 06:28 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #13544.

#9 - 2014-03-17 06:28 - Toshi MARUYAMA

- Is duplicate of Defect #13544: Commit reference: autogenerated issue note has wrong commit link syntax in multi-repo or cross-project context

added

Files

14405.patch 623 Bytes 2013-08-22 Christoph Dwertmann

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/issues/13544
http://www.tcpdf.org

